> ## Documentation Index
> Fetch the complete documentation index at: https://docs.datanumia.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Service returning all the weather informations associated to a site for a period. The weather data is retrieved from the weather station associated to the site

> Service returning all the weather informations associated to a site for a period. The weather data is retrieved from the weather station associated to the site. No disttinction is made between forecasted temperature and mesured ones



## OpenAPI

````yaml /api-reference/weather-api.yaml get /sites/{site-id}/weathers
openapi: 3.0.1
info:
  title: weather lifecycle
  description: This API manages the lifecycles of the weather
  termsOfService: ''
  contact:
    email: dev@edelia.fr
  version: 1.0.4
servers:
  - url: https://api.home.datanumia.com/api/v1
security: []
tags:
  - name: Weather Stations
paths:
  /sites/{site-id}/weathers:
    get:
      tags:
        - Weathers
      summary: >-
        Service returning all the weather informations associated to a site for
        a period. The weather data is retrieved from the weather station
        associated to the site
      description: >-
        Service returning all the weather informations associated to a site for
        a period. The weather data is retrieved from the weather station
        associated to the site. No disttinction is made between forecasted
        temperature and mesured ones
      operationId: siteWeathersGet
      parameters:
        - name: site-id
          in: path
          description: The Edelia site id
          required: true
          schema:
            type: string
        - name: begin-day
          in: query
          description: Begin date (included). ISO8601 (yyyy-MM-dd'T'HH:mm:ss.SSSZ)
          required: true
          schema:
            type: string
            format: date
        - name: end-day
          in: query
          description: End date (excluded). ISO8601 (yyyy-MM-dd'T'HH:mm:ss.SSSZ)
          required: true
          schema:
            type: string
            format: date
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/WeatherMeasure'
        '400':
          description: >-
            Functional Error: WEATHER_STATION_NOT_FOUND_WITH_ID,
            INVALID_ZIP_CODE
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Not Found
          content: {}
        '500':
          description: Technical Error
          content: {}
components:
  schemas:
    WeatherMeasure:
      type: object
      properties:
        date:
          type: string
          description: >-
            A date-time with a time-zone in the ISO-8601 calendar system, such
            as yyyy-MM-dd'T'HH:mm:ss.SSSZ
          format: date
        picto:
          type: string
          description: one of P7, P8, P9,...
        temperature:
          type: number
          description: Value of the temperature with precision (°C)
        wind:
          type: number
          description: Value of the wind speed with precision (km/h)
        cloudiness:
          type: number
          description: Value of the cloudness (Okta)
    ErrorResponse:
      type: object
      properties:
        errorCode:
          type: string
          description: The error code
        errorDescription:
          type: string
          description: The error description

````